## fcam-drivers 1.0.4-1

=== Makefile ===
# point this at your kernel tree, or kernel headers package
KERNELDIR := /usr/src/kernel-headers

ifndef KERNELDIR
$(error KERNELDIR not defined. Modify the Makefile to point to the location of your kernel headers or source, or build with 'make KERNELDIR=<directory>' the try again)
endif

obj-m := et8ek8.o 

omap34xxcam-mod-objs := omap34xxcam-daemon.o omap34xxcam-daemon-req.o omap34xxcam.o
obj-m += omap34xxcam-mod.o 

isp/isp-mod-objs := isp/isp.o isp/ispstat.o isp/isppreview.o isp/ispresizer.o isp/isp_af.o isp/ispccdc.o isp/ispcsi2.o isp/isph3a.o isp/isphist.o 
obj-m += isp/isp-mod.o 

obj-m += isp/omap_previewer_hack.o 

obj-m += board-rx51-camera.o

all: modules

modules:
	$(MAKE) -C $(KERNELDIR) M=`pwd` modules

clean:
	$(RM) *.o .depend .*.cmd *.ko *.mod.c Module.symvers modules.order
	$(RM) -R .tmp_versions
	$(RM) isp/*.o isp/.depend isp/.*.cmd isp/*.ko isp/*.mod.c isp/Module.symvers isp/modules.order 
	$(RM) -R isp/.tmp_versions
	$(RM) -rf debian/fcam-drivers

deb:
	dpkg-buildpackage -rfakeroot -b -uc

install: 
	mkdir -p $(DESTDIR)/usr/share/fcam
	cp *.ko isp/*.ko fcam.conf $(DESTDIR)/usr/share/fcam/

=== debian/changelog ===
fcam-drivers (1.0.4-1) unstable; urgency=low

  * Now exposes the v4l2 circular buffer size as
    /sys/modules/omap34xxcam_mod/parameters/circular_buffer_size. It
    can be useful to increase this if you're getting dropped frames.

  * Was accidentally leaving the semaphore up on fcam_remove. Now I
    just reinitialize it on each fcam_install.
	
 -- Andrew Adams <abadams@stanford.edu>  Tue, 13 Jul 2010 15:17:00 -0700

fcam-drivers (1.0.3-1) unstable; urgency=low

  * Attempts to register multiple fcam daemons now reject the later
    attempts, and no longer mess things up until reboot.
	
 -- Andrew Adams <abadams@stanford.edu>  Tue, 1 Jun 2010 10:57:00 -0700
	

fcam-drivers (1.0.2-1) unstable; urgency=low

  * Remove followed by purge tried to delete
    /etc/modprobe.d/fcam.conf twice * Formula for setting exact gain
    as a function of gain was incorrect
	
 -- Andrew Adams <abadams@stanford.edu>  Fri, 28 May 2010 10:58:00 -0700

fcam-drivers (1.0.1-1) unstable; urgency=low

  * Fixed bug causing built-in camera to overexpose after running
    fcam.
	   
  * Fixed bug causing built-in camera to not autofocus before
    running fcam 

  * Fixed bug causing a mess on package uninstall

 -- Andrew Adams <abadams@stanford.edu>  Thu, 27 May 2010 19:33:00 -0700

fcam-drivers (1.0.0-1) unstable; urgency=low

  * Initial test release

 -- Andrew Adams <abadams@stanford.edu>  Wed, 31 Mar 2010 09:18:54 -0700

=== debian/control ===
Source: fcam-drivers
Section: user/multimedia
Priority: extra
Maintainer: Andrew Adams <abadams@stanford.edu>
Build-Depends: debhelper (>= 5), kernel-headers
Standards-Version: 3.7.2

Package: fcam-drivers
Architecture: armel
Depends: 
Description: Kernel drivers necessary for the FCam camera control API

## fcam-drivers 1.0.5-1

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,10 @@
 deb:
 	dpkg-buildpackage -rfakeroot -b -uc
 
+deb-src:
+	dpkg-buildpackage -rfakeroot -sa -S
+
 install: 
 	mkdir -p $(DESTDIR)/usr/share/fcam
-	cp *.ko isp/*.ko fcam.conf $(DESTDIR)/usr/share/fcam/
+	strip --strip-unneeded *.ko isp/*.ko
+	cp *.ko isp/*.ko fcam.conf fcam-warning.txt $(DESTDIR)/usr/share/fcam/

=== debian/changelog ===
fcam-drivers (1.0.5-1) unstable; urgency=low

  * Removed optifying, breaks kernel module loading

  * Added stripping to shrink kernel modules substantially.

  * Added bug tracker location

  * Added warning on install reminding user to reboot.
	
 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 13:12:00 -0700

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: fcam-drivers
 Architecture: armel
-Depends: 
+Depends: maemo-installer-utils
 Description: Kernel drivers necessary for the FCam camera control API
-
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
+Conflicts: BlessN900

## fcam-drivers 1.0.5-2

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dpkg-buildpackage -rfakeroot -b -uc
 
 deb-src:
-	dpkg-buildpackage -rfakeroot -sa -S
+	dpkg-buildpackage -rfakeroot -sa -S -I'\.svn'
 
 install: 
 	mkdir -p $(DESTDIR)/usr/share/fcam

=== isp/Makefile ===
# Makefile for OMAP3 ISP driver

ifdef CONFIG_ARCH_OMAP3410
isp-mod-objs += \
	isp.o ispccdc.o
else
isp-mod-objs += \
	isp.o ispccdc.o \
	isppreview.o ispresizer.o isph3a.o isphist.o isp_af.o ispcsi2.o \
	ispstat.o
endif

obj-$(CONFIG_VIDEO_OMAP3) += isp-mod.o
obj-$(CONFIG_VIDEO_OMAP3) += omap_previewer_hack.o

=== debian/changelog ===
fcam-drivers (1.0.5-2) unstable; urgency=low

  * Added kernel-power-flasher as a conflict for now

  * Lowercased BlessN900 in the Conflicts field

  * Minor improvements to reboot warning notice on install.

  * Removed .svn directories from source package.

 -- Eino-Ville Talvala <talvala@stanford.edu>  Wed, 21 Jul 2010 15:38:00 -0700	
	

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: fcam-drivers
 Architecture: armel
 Depends: maemo-installer-utils
-Description: Kernel drivers necessary for the FCam camera control API
+Description: Kernel drivers necessary for the FCam camera control API.
+  Be sure to restart your N900 after installation.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
-Conflicts: BlessN900
+Conflicts: blessn900, kernel-power-flasher

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/fcam-drivers.sgml > fcam-drivers.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fcam-drivers.
	$(MAKE) DESTDIR=$(CURDIR)/debian/fcam-drivers install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fcam-drivers 1.0.6-1

=== Makefile ===
--- 
+++ 
@@ -17,13 +17,21 @@
 
 obj-m += board-rx51-camera.o
 
-all: modules
+all: modules powermodules
 
 modules:
 	$(MAKE) -C $(KERNELDIR) M=`pwd` modules
+	mkdir -p vanilla
+	mv *.ko isp/*.ko vanilla/
+
+powermodules:
+	$(MAKE) -C /usr/src/kernel-power-headers M=`pwd` modules
+	mkdir -p power
+	mv *.ko isp/*.ko power/
 
 clean:
 	$(RM) *.o .depend .*.cmd *.ko *.mod.c Module.symvers modules.order
+	$(RM) -rf vanilla power
 	$(RM) -R .tmp_versions
 	$(RM) isp/*.o isp/.depend isp/.*.cmd isp/*.ko isp/*.mod.c isp/Module.symvers isp/modules.order 
 	$(RM) -R isp/.tmp_versions
@@ -36,6 +44,8 @@
 	dpkg-buildpackage -rfakeroot -sa -S -I'\.svn'
 
 install: 
-	mkdir -p $(DESTDIR)/usr/share/fcam
-	strip --strip-unneeded *.ko isp/*.ko
-	cp *.ko isp/*.ko fcam.conf fcam-warning.txt $(DESTDIR)/usr/share/fcam/
+	mkdir -p $(DESTDIR)/usr/share/fcam 
+	mkdir -p $(DESTDIR)/usr/share/fcam/power
+	strip --strip-unneeded vanilla/*.ko power/*.ko
+	cp vanilla/*.ko fcam.conf fcam-warning.txt $(DESTDIR)/usr/share/fcam/
+	cp power/*.ko $(DESTDIR)/usr/share/fcam/power/

=== debian/changelog ===
fcam-drivers (1.0.6-1) unstable; urgency=low

  * Removed kernel-power-flasher as a conflict

  * Removed blessn900 as a conflict (this was a bug in fcam)

  * Now compiles a version for the power kernel and a version for
    the vanilla kernel and packs them both into the same .deb

 -- Andrew Adams <abadams@stanford.edu>  Sun, 15 Aug 2010 13:52:00 -0700
	

=== debian/control ===
Source: fcam-drivers
Section: user/multimedia
Priority: extra
Maintainer: Andrew Adams <abadams@stanford.edu>
Build-Depends: debhelper (>= 5), kernel-headers, kernel-power-headers
Standards-Version: 3.7.2
Homepage: http://fcam.garage.maemo.org/

Package: fcam-drivers
Architecture: armel
Depends: maemo-installer-utils
Description: Kernel drivers necessary for the FCam camera control API.
  Be sure to restart your N900 after installation.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
Conflicts:

## fcam-drivers 1.0.7-1

=== debian/changelog ===
fcam-drivers (1.0.7-1) unstable; urgency=low

  * Fixed a consistency issue between gain and gain-exact controls

  * Changed package section to not be in user/

 -- Eino-Ville Talvala <talvala@stanford.edu>  Fri, 24 Sep 2010 14:56:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: fcam-drivers
-Section: user/multimedia
+Section: utils
 Priority: extra
 Maintainer: Andrew Adams <abadams@stanford.edu>
 Build-Depends: debhelper (>= 5), kernel-headers, kernel-power-headers

## fcam-drivers 1.0.7-2

=== debian/changelog ===
fcam-drivers (1.0.7-2) unstable; urgency=low

  * Bump to version number to recompile for latest kernel-power version

 -- Eino-Ville Talvala <talvala@stanford.edu>  Wed, 10 Nov 2010 12:11:00 -0700

=== debian/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 Description: Kernel drivers necessary for the FCam camera control API.
   Be sure to restart your N900 after installation.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
-Conflicts:
+Conflicts: kernel-power (<< 2.6.28-maemo44)
